---
title: Mark Chat as Read | API Docs
---

PUT

/api/partner/v2/chats/{chat\_id}/mark\_as\_read

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/chats/1/mark_as_read';
const options = {
  method: 'PUT',
  headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request PUT \
  --url https://api.linqapp.com/api/partner/v2/chats/1/mark_as_read \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'
```

- Production server api.linqapp.com/api/partner/v2/chats/{chat\_id}/mark\_as\_read

Marks all messages in a chat as read. This endpoint does not require a request body.

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Parameters

### Path Parameters

**chat\_id**

required

integer

The chat ID

## Responses

### 204

Chat marked as read successfully

### 404

Chat not found

Media type application/json

Standard error format used by most endpoints (render\_error format)

object

**errors**

Array\<object>

object

**status**

integer

**code**

string

**title**

string

**detail**

string

##### Example

```
{
  "errors": [
    {
      "status": 404,
      "code": "not_found",
      "title": "Not Found",
      "detail": "Chat not found"
    }
  ]
}
```
